Page MenuHomePhabricator

Add support for top-level statements with quantity values
Closed, ResolvedPublic

Description

ATM we only support 'quantity' data types in SDoC for statement qualifiers

User story

As a Commons editor, I want to add a quantity to a media file’s metadata, so that anyone using that file can know a particular kind of quantity pertaining to that file

Acceptance criteria:

  • can enter statements with quantity values as top-level statements, not just qualifiers

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterAdd statement-level support for quantity input

Event Timeline

Cparle created this task.Sep 4 2019, 11:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2019, 11:31 AM
Cparle renamed this task from Add support for units for quantity data type in Commons UI to Add support for top-level statments with quantity values, and units for quantity data type .Sep 4 2019, 11:37 AM
Cparle renamed this task from Add support for top-level statments with quantity values, and units for quantity data type to Add support for top-level statements with quantity values, and units for quantity data type .
Cparle updated the task description. (Show Details)
Cparle updated the task description. (Show Details)
Cparle updated the task description. (Show Details)Sep 4 2019, 2:25 PM

Quantity datatype support is introduced in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikibaseMediaInfo/+/542253, but some updated UI designs are needed to improve the user experience.

PDrouin-WMF updated the task description. (Show Details)Nov 14 2019, 10:49 PM
PDrouin-WMF updated the task description. (Show Details)Nov 14 2019, 10:55 PM

Change 553479 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Add statement-level support for quantity input

https://gerrit.wikimedia.org/r/553479

matthiasmullie renamed this task from Add support for top-level statements with quantity values, and units for quantity data type to Add support for top-level statements with quantity values.Nov 29 2019, 1:39 PM
matthiasmullie claimed this task.
matthiasmullie updated the task description. (Show Details)
matthiasmullie added a subscriber: matthiasmullie.

I've split up this task. This ticket is not solely about enabling statement-level support for quantities.
I've split off the units-related work into T239474

Change 553479 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add statement-level support for quantity input

https://gerrit.wikimedia.org/r/553479

Ramsey-WMF closed this task as Resolved.EditedDec 18 2019, 10:11 PM

Tested on production (double checked on mobile) with length property. Works as expected. Still need to add unit support (which will be done via T239474 )

Tested on production (double checked on mobile) with length property. Works as expected. Still need to add unit support (which will be done via T231981 )

That's this task, you probably meant T239474 ?

Yup. That one. I've updated the comment accordingly. Thanks. 👍🏼